package com.xjrsoft.module.teacher.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.personnel.entity.ReservationSchool;
import com.xjrsoft.module.teacher.entity.WfTeacherleave;

import java.time.LocalDateTime;
import java.util.Map;

/**
* @title: 教职工请假流程
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/

public interface IWfTeacherleaveService extends MPJBaseService<WfTeacherleave> {
    Boolean dataHandle(Long dataId);

    /**
     * 教师请假，审批通过后，将数据推送到海康
     * @param id
     * @return
     */
    Boolean hikvisionLeave(Long id);

    Long getLeaveCount(LocalDateTime startTime, LocalDateTime endTime);

    Map<Long, WfTeacherleave> getLeaveList(LocalDateTime startTime, LocalDateTime endTime);
}
